Bug 1046737 - Shutdown Dialog Appears Twice When Launched Using Power Button
Summary: Shutdown Dialog Appears Twice When Launched Using Power Button
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-26 20:11 UTC by Oliver Schmid
Modified: 2015-06-29 13:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:50:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Oliver Schmid 2013-12-26 20:11:52 UTC
Description of problem:
Since upgrading from Fedora 19 to 20 pressing the laptop power button has launched a shutdown dialog that upon pressing "Restart" or "Power Off" launches another shutdown dialog. Pressing "Restart" or "Power Off" on the second dialog then restarts or shuts down the computer. The dialog does not launch a duplicate dialog when using the top right hand menu.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Press laptop power button
2. Click "Restart" or "Power Off"
3. Observe a second shutdown dialog

Actual results:
Pressing "Restart" or "Power Off" launches a second shutdown dialog.

Expected results:
Pressing "Restart" or "Power Off" should restart or shutdown the computer.

Additional info:
The first launch of the shutdown dialog is also noticeably slower (+2s) when launched using the power button than when accessed through the menu (where it appears almost instantly).

Comment 1 Oliver Schmid 2014-02-25 04:34:07 UTC
The bug appears to be fixed in more recent versions of Fedora 20 (though I'm unsure which update fixed it exactly).

However the slow launch of the shutdown dialog is still an issue. As stated before: the shutdown dialog takes about 2 seconds to appear when launched using the hardware power button of my laptop, while launching it by mouse through the menu is instantaneous.

Comment 2 Alexey Brodkin 2014-03-20 11:16:42 UTC
I may partially confirm the fix. And this is why.

If I turn laptop off pretty soon after it was powered up then indeed shutdown dialog only appears once.

But if I have laptop working for hours then I see shutdown dialog appears twice as before.

Oliver, could you please confirm that you always see shutdown menu once?

Comment 3 Oliver Schmid 2014-03-22 22:17:25 UTC
Even if I have my laptop working for hours I only ever see the shutdown dialog once. The only remaining issue I have is the speed issue mentioned previously.

Comment 4 Faizal Luthfi 2014-04-29 03:44:16 UTC
This problem happened too in ArchLinux (both gnome 3.10 and 3.12), but not happened in Ubuntu Gnome 14.04.

If the button in the first dialog is pressed, then the button in the second dialog is not needed to be pressed again. The second dialog will not appear if the cancel button in the first dialog is pressed.

Comment 5 Fedora End Of Life 2015-05-29 10:11:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 13:50:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.